Subject: Re: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Luis Felipe <[email-masked]>
Date: Thu, 02 Jun 2022 19:44:42 +0000

Hello again,

On Wednesday, June 1st, 2022 at 19:55, Ludovic Courtès <[email-masked]> wrote:

> So it has to do with elogind taking too long to start. Same with
> polkit:

Timeouts are common here...

> --8<---------------cut here---------------start------------->8---
> 

> 854:May 31 12:24:10 localhost polkitd[426]: Started polkitd version 0.120
> 925:May 31 12:24:31 localhost shepherd[1]: [dbus-daemon] ** (accounts-daemon:421): CRITICAL **: 12:24:28.105: error getting polkit authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: Timeout was reached
> --8<---------------cut here---------------end--------------->8---
> 

> Now, something’s wrong with those timestamps, where shepherd’s message,
> which came first, has a timestamp in the future.

Ooh...

> Could it be https://issues.guix.gnu.org/55707? At boot time, if you
> switch to tty12 (by pressing alt-f12) as soon as it’s available, do you
> see messages that get printed pretty slowly, like 4–5 lines per second?

Maybe? I recorded a video. Image is low quality, but speed is accurate (I changed to tty12 at second 33):

https://luis-felipe.gitlab.io/media/2022/06/guix-system-ab98b51e-boot-TTY12.webm

At 01:57, it takes a while to start GDM session (that's common; always been like that, I think).

> Sorry for not having clearer ideas, but maybe we have a lead…

No worries, thanks again for taking a look at it.